Subject: bug#5080: closed (Re: bug#5080: indic text is not displayed correctly in emacs shell)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 19 Nov 2020 02:53:02 +0000

Your bug report

#5080: indic text is not displayed correctly in emacs shell

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
5080: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5080
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#5080: indic text is not displayed correctly in emacs shell
From: Stefan Kangas <[email-masked]>
To: Lars Magne Ingebrigtsen <[email-masked]>
Cc: [email-masked], [email-masked], Parag Nemade <[email-masked]>, Kenichi Handa <[email-masked]>, Praveen A <[email-masked]>
Date: Wed, 18 Nov 2020 18:52:02 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Kangas <[email-masked]> writes:

> Lars Magne Ingebrigtsen <[email-masked]> writes:
>
>> Praveen A <[email-masked]> writes:
>>
>>>> (4a) Why is it taking Lohit Malayalam by default
>>>> (4b) Why is the display cluttered/overlapped with some fonts like Meera
>>>
>>> 4b is now resolved, details in
>>> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5146
>>>
>>> Now only remaining issue in the list is about selecting default font.
>>> I think it should be taken from fc-match :lang=ml
>>
>> As far as I can tell from this thread, all the bugs were resolved,
>> except possibly this one.
>>
>> Is this still a problem in Emacs 24?
>
> That was 9 years ago.  Now that Emacs 27.1 is out, with harfbuzz support
> and many other changes, could you please try again and see if you are
> still seeing any errors?
>
> FWIW, I tried quickly inserting indic text into a shell-mode buffer and
> couldn't see anything wrong with it at a glance.  (But my inspection may
> be overly superficial I can't read the script.)
>
> Thanks in advance.

More information was requested, but none was given within 14 weeks, so
I'm closing this bug.  If this is still an issue, please reply to this
email (use "Reply to all" in your email client) and we can reopen the
bug report.

Subject: indic text is not displayed correctly in emacs shell
From: Praveen A <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Mon, 30 Nov 2009 19:13:45 +0530

Hi,

Indic text is not rendered correctly in emacs shell (M-x shell).
Attached images show indic text displayed as escaped unicode values.
output of ls (when file names has indic characters) and cat (when
content of a file has indic characters) is displayed like that.

- Praveen

-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
<GPLv2> I know my rights; I want my phone call!
<DRM> What use is a phone call, if you are unable to speak?
(as seen on /.)
Join The DRM Elimination Crew Now!
http://fci.wikia.com/wiki/Anti-DRM-Campaign